org.apache.felix.metatype

## Class DesignateObject

- java.lang.Object
- - org.apache.felix.metatype.OptionalAttributes
  - - org.apache.felix.metatype.DesignateObject

    public class DesignateObject
    extends OptionalAttributes

The `DesignateObject` class represents the `Object` element of the meta type descriptor.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`DesignateObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAttribute(Attribute attribute)`
`List` `getAttributes()`
`String` `getOcdRef()`
`void` `setOcdRef(String ocdRef)`

### Methods inherited from class org.apache.felix.metatype.OptionalAttributes

`addOptionalAttribute, getOptionalAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DesignateObject

    public DesignateObject()

### Method Detail

#### getOcdRef

    public String getOcdRef()

#### setOcdRef

    public void setOcdRef(String ocdRef)

#### getAttributes

    public List getAttributes()

#### addAttribute

    public void addAttribute(Attribute attribute)